Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Dynamic_Property Class Reference

Little helper class that you can extend to have your dynamic property handler construct CosTradingDynamic::DynamicProp structs. More...

`#include <Trader_Utils.h>`

Inheritance diagram for TAO_Dynamic_Property:

[legend]
Collaboration diagram for TAO_Dynamic_Property:

[legend]
List of all members.

## Public Methods
| TAO_Dynamic_Property (void)
| TAO_Dynamic_Property (const TAO_Dynamic_Property &)
void | operator= (const TAO_Dynamic_Property &)
virtual | ~TAO_Dynamic_Property (void)
void | destroy (void)
virtual CORBA::Any * | evalDP (const char *name, CORBA::TypeCode_ptr returned_type, const CORBA::Any &extra_info ACE_ENV_ARG_DECL)=0 throw (CORBA::SystemException, CosTradingDynamic::DPEvalFailure)
| Dynamic property evaluation call-back method. More...
CosTradingDynamic::DynamicProp * | construct_dynamic_prop (const char *name, CORBA::TypeCode_ptr returned_type, const CORBA::Any &extra_info)
| Method to construct a dynamic property structure suitable for exporting in a CosTrading::PropertyStruct to the Trading Service. More...
## Private Attributes
CosTradingDynamic::DynamicPropEval_var | prop_

## Detailed Description

Little helper class that you can extend to have your dynamic property handler construct CosTradingDynamic::DynamicProp structs.

## Constructor & Destructor Documentation

TAO_Dynamic_Property::TAO_Dynamic_Property | ( | void |  | ) | `[inline]`

TAO_Dynamic_Property::TAO_Dynamic_Property | ( | const TAO_Dynamic_Property & |  | ) | `[inline]`

TAO_Dynamic_Property::~TAO_Dynamic_Property | ( | void |  | ) | `[virtual]`

## Member Function Documentation

CosTradingDynamic::DynamicProp * TAO_Dynamic_Property::construct_dynamic_prop | ( | const char * | name,
|  | CORBA::TypeCode_ptr | returned_type,
|  | const CORBA::Any & | extra_info
| ) |

| Method to construct a dynamic property structure suitable for exporting in a CosTrading::PropertyStruct to the Trading Service.

void TAO_Dynamic_Property::destroy | ( | void |  | ) |

virtual CORBA::Any* TAO_Dynamic_Property::evalDP | ( | const char * | name,
|  | CORBA::TypeCode_ptr | returned_type,
|  | const CORBA::Any &extra_info | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, CosTradingDynamic::DPEvalFailure)`[pure virtual]`

| Dynamic property evaluation call-back method.

void TAO_Dynamic_Property::operator= | ( | const TAO_Dynamic_Property & |  | ) | `[inline]`

## Member Data Documentation

CosTradingDynamic::DynamicPropEval_var TAO_Dynamic_Property::prop_`[private]`

The documentation for this class was generated from the following files:

- Trader_Utils.h
- Trader_Utils.cpp